## network-manager 1.14.4

=== debian/changelog ===
network-manager (1.14.4-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports
  * Revert "Switch to debhelper compat level 12 and dh_installsystemd"
    The versions of debhelper and init-system-helpers in stretch are too old.

 -- Michael Biebl <biebl@debian.org>  Tue, 30 Oct 2018 10:38:04 +0100

network-manager (1.14.4-2) unstable; urgency=high

  * dhcp6: Make sure we have enough space for the DHCP6 option header.
    Fixes out-of-bounds heap write in systemd-networkd dhcpv6 option handling
    which also affects the "internal" DHCP plugin of NetworkManager.
    (CVE-2018-15688, LP: #1795921)

 -- Michael Biebl <biebl@debian.org>  Tue, 30 Oct 2018 09:34:25 +0100

network-manager (1.14.4-1) unstable; urgency=medium

  * New upstream version 1.14.4
    - Fix a crash in ifupdown (Debian) configuration plugin (Closes: #911621)
  * Switch to debhelper compat level 12 and dh_installsystemd
  * Update symbols file for libnm0
  * Ignore client/tests failures.
    check-local-clients-tests-test-client appears to be flaky and prone to
    fail on slower architectures. Ignore failures of this test until this
    has been properly investigated.

 -- Michael Biebl <biebl@debian.org>  Thu, 25 Oct 2018 00:30:39 +0200

network-manager (1.14.2-2) unstable; urgency=medium

  * Upload to unstable

 -- Michael Biebl <biebl@debian.org>  Sun, 21 Oct 2018 16:09:49 +0200

network-manager (1.14.2-1) experimental; urgency=medium

  * New upstream version 1.14.2
  * Rebase patches
  * Disable obsolete ibft settings plugin.
    It has been replaced by an iBFT reader which parses /sys/firmware/ibft
    directly instead of iscsiadm output.
  * Drop debian/patches/Fix-iscsiadm-path.patch.
    No longer needed.

 -- Michael Biebl <biebl@debian.org>  Sun, 21 Oct 2018 02:56:25 +0200

network-manager (1.14.0-2) experimental; urgency=medium

  * Tighten inter-package dependencies.
    Make sure network-manager and libnm0 are always upgraded in lockstep.
    (Closes: #818165)

 -- Michael Biebl <biebl@debian.org>  Mon, 08 Oct 2018 16:55:10 +0200

network-manager (1.14.0-1) experimental; urgency=medium

  * New upstream version 1.14.0
  * Rebase patches
  * Update symbols file for libnm0.
    The nm_connection_get_setting_{6lowpan,sriov,wpan} API had been
    introduced during the 1.14 development cycle but as it was duplicating
    existing functionality it was removed again.

 -- Michael Biebl <biebl@debian.org>  Sat, 15 Sep 2018 10:57:07 +0200

network-manager (1.13.90-1) experimental; urgency=medium

  * New upstream version 1.13.90 (1.14 rc1)
  * Refresh patches
  * Update symbols file for libnm0
  * Bump Standards-Version to 4.2.1

 -- Michael Biebl <biebl@debian.org>  Sat, 08 Sep 2018 18:23:20 +0200

network-manager (1.12.4-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports (Closes: #880978)

 -- Michael Biebl <biebl@debian.org>  Sun, 07 Oct 2018 20:09:11 +0200

=== debian/control ===
Source: network-manager
Section: net
Priority: optional
Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
Uploaders: Michael Biebl <biebl@debian.org>,
 Sjoerd Simons <sjoerd@debian.org>,
 Aron Xu <aron@debian.org>
Build-Depends: debhelper (>= 10.3),
               automake (>= 1.12),
               dpkg-dev (>= 1.17.14),
               pkg-config,
               intltool,
               libglib2.0-dev (>= 2.32),
               ppp-dev (>= 2.4.7-1+1),
               libpolkit-gobject-1-dev,
               libpolkit-agent-1-dev (>= 0.97),
               libselinux1-dev,
               libaudit-dev,
               libgnutls28-dev (>= 2.12),
               uuid-dev,
               systemd (>= 185),
               libsystemd-dev (>= 209),
               libudev-dev (>= 175),
               libgirepository1.0-dev (>= 0.10.7-1~),
               gobject-introspection (>= 0.9.12-4~),
               python-gi,
               libpsl-dev (>= 0.1),
               libcurl4-gnutls-dev (>= 7.24.0),
               gtk-doc-tools,
               perl,
               libyaml-perl,
               libglib2.0-doc,
               libmm-glib-dev (>=  0.7.991),
               libndp-dev,
               libreadline-dev,
               libnewt-dev (>= 0.52.15),
               libteam-dev (>= 1.9),
               libjansson-dev,
               libbluetooth-dev (>= 5),
               valac (>= 0.17.1.24),
               dbus <!nocheck>,
               python-dbus <!nocheck>
Standards-Version: 4.2.1
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/utopia-team/network-manager.git
Vcs-Browser: https://salsa.debian.org/utopia-team/network-manager
Homepage: https://wiki.gnome.org/Projects/NetworkManager

Package: network-manager
Architecture: linux-any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libnm0 (= ${binary:Version}),
         lsb-base,
         wpasupplicant,
         dbus,
         udev,
         adduser,
         libpam-systemd,
         policykit-1
Recommends: ppp,
            dnsmasq-base,
            iptables,
            modemmanager,
            crda,
            isc-dhcp-client,
Suggests: libteam-utils
Breaks: ${misc:Breaks}
Description: network management framework (daemon and userspace tools)
 NetworkManager is a system network service that manages your network devices
 and connections, attempting to keep active network connectivity when
 available. It manages ethernet, WiFi, mobile broadband (WWAN), and PPPoE
 devices, and provides VPN integration with a variety of different VPN
 services.
 .
 This package provides the userspace daemons and a command line interface to
 interact with NetworkManager.
 .
 Optional dependencies:
  * ppp: Required for establishing dial-up connections (e.g. via GSM).
  * dnsmasq-base/iptables: Required for creating Ad-hoc connections and
    connection sharing.
    address configuration.
  * libteam-utils: Network Team driver allows multiple network interfaces to be
    teamed together and act like a single one. This process is called "ethernet
    bonding", "channel teaming" or "link aggregation".

Package: network-manager-dev
Section: devel
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends}
Conflicts: libnm-glib-dev,
           libnm-glib-vpn-dev,
           libnm-util-dev,
Description: network management framework (development files)
 This package provides documentation of the NetworkManager D-Bus API, the
 configuration formats and command line utilities.
 It also provides D-Bus introspection files.

Package: libnm0
Section: libs
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: GObject-based client library for NetworkManager
 NetworkManager is a system network service that manages your network devices
 and connections, attempting to keep active network connectivity when
 available. It manages ethernet, WiFi, mobile broadband (WWAN), and PPPoE
 devices, and provides VPN integration with a variety of different VPN
 services.
 .
 This package contains a convenience library to ease the access to
 NetworkManager.

Package: libnm-dev
Section: libdevel
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends},
         libnm0 (= ${binary:Version}),
         gir1.2-nm-1.0 (= ${binary:Version}),
         libglib2.0-dev
Description: GObject-based client library for NetworkManager (development files)
 NetworkManager is a system network service that manages your network devices
 and connections, attempting to keep active network connectivity when
 available. It manages ethernet, WiFi, mobile broadband (WWAN), and PPPoE
 devices, and provides VPN integration with a variety of different VPN
 services.
 .
 This package contains header and development files.

Package: gir1.2-nm-1.0
Section: introspection
Architecture: linux-any
Multi-Arch: same
Depends: ${gir:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Breaks: gir1.2-networkmanager-1.0 (<< 1.8.0-2)
Replaces: gir1.2-networkmanager-1.0 (<< 1.8.0-2)
Description: GObject introspection data for the libnm library
 NetworkManager is a system network service that manages your network devices
 and connections, attempting to keep active network connectivity when
 available. It manages ethernet, WiFi, mobile broadband (WWAN), and PPPoE
 devices, and provides VPN integration with a variety of different VPN
 services.
 .
 This package contains introspection data for NetworkManager using libnm.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

Package: network-manager-config-connectivity-debian
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         network-manager (>= ${source:Version})
Description: NetworkManager configuration to enable connectivity checking
 This package contains a configuration file which enables NetworkManager's
 connectivity checking functionality.
 .
 NetworkManager will try to connect to a Debian server to determine the
 connection status.
 .
 This is particularly useful for captive portal detection.
 .
 No user data is transmitted in the connectivity checks, but merely contacting
 the Debian connectivity check servers reveals that the user is running a
 Debian(-based) operating system with NetworkManager.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

PPPD_PLUGIN_DIR := $(shell dh_ppp --plugin-dir)

%:
	dh $@ --with gir,ppp

autoreconf:
	gtkdocize --copy
	autopoint --force
	AUTOPOINT='intltoolize --automake --copy' autoreconf --verbose --force --install

override_dh_autoreconf:
	dh_autoreconf debian/rules -- autoreconf

override_dh_auto_configure:
	dh_auto_configure -- \
		--libexecdir=/usr/lib/NetworkManager \
		--runstatedir=/run \
		--with-pppd-plugin-dir=$(PPPD_PLUGIN_DIR) \
		--with-pppd=/usr/sbin/pppd \
		--with-resolvconf=/sbin/resolvconf \
		--with-dhclient=/sbin/dhclient \
		--with-iptables=/sbin/iptables \
		--with-dnsmasq=/usr/sbin/dnsmasq \
		--with-dnssec-trigger=/usr/lib/dnssec-trigger/dnssec-trigger-script \
		--with-systemdsystemunitdir=/lib/systemd/system \
		--with-udev-dir=/lib/udev \
		--with-crypto=gnutls \
		--with-session-tracking=systemd \
		--with-suspend-resume=systemd \
		--with-modem-manager-1 \
		--with-nmtui \
		--with-nmcli \
		--with-selinux \
		--with-libaudit \
		--with-iwd \
		--without-dhcpcanon \
		--without-libnm-glib \
		--enable-polkit \
		--enable-polkit-agent \
		--enable-ppp \
		--enable-ifupdown \
		--enable-introspection \
		--enable-gtk-doc \
		--enable-concheck \
		--enable-teamdctl \
		--enable-json-validation \
		--enable-bluez5-dun \
		--enable-vala \
		--disable-config-plugin-ibft \
		--disable-more-warnings \
		--disable-modify-system \
		--disable-ovs

override_dh_install:
	find debian/tmp -name '*.la' -print -delete
	dh_install

override_dh_missing:
	dh_missing --fail-missing

override_dh_makeshlibs:
	dh_makeshlibs -X/usr/lib/$(DEB_HOST_MULTIARCH)/NetworkManager/ -X/usr/lib/pppd/

override_dh_systemd_start:
	dh_link -pnetwork-manager \
		lib/systemd/system/NetworkManager.service \
		lib/systemd/system/network-manager.service
	dh_systemd_start -pnetwork-manager --no-also NetworkManager.service

override_dh_ppp:
	dh_ppp --breaks

=== debian/watch ===
version=3
https://download.gnome.org/sources/NetworkManager/([\d\.]+)/NetworkManager-(.*)\.tar\.xz

## network-manager 1.14.6

=== debian/changelog ===
network-manager (1.14.6-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports
  * Revert "Use debhelper-compat (= 12) Build-Depends and drop debian/compat"
  * Require dbus (>= 1.9.18) to ensure we have a recent enough version

 -- Michael Biebl <biebl@debian.org>  Sun, 31 Mar 2019 10:19:36 +0200

network-manager (1.14.6-2) unstable; urgency=medium

  * supplicant: fix setting pmf when the supplicant doesn't advertise support

 -- Michael Biebl <biebl@debian.org>  Tue, 26 Feb 2019 21:23:14 +0100

network-manager (1.14.6-1) unstable; urgency=medium

  * New upstream version 1.14.6
  * Use debhelper-compat (= 12) Build-Depends and drop debian/compat
  * Rebase patches
  * Do not manage Docker bridge interfaces (Closes: #875127)
  * Bump Standards-Version to 4.3.0

 -- Michael Biebl <biebl@debian.org>  Tue, 26 Feb 2019 19:33:53 +0100

network-manager (1.14.4-4) unstable; urgency=medium

  * Move D-Bus policy files to /usr/share/dbus-1/system.d/
  * Remove obsolete D-Bus policy conffiles on upgrades

 -- Michael Biebl <biebl@debian.org>  Tue, 27 Nov 2018 01:35:50 +0100

network-manager (1.14.4-3) unstable; urgency=medium

  * cli: wait for all wifi scans to finish before displaying the result.
    Otherwise devices are displayed in an inconsistent order.
    Replaces debian/patches/Ignore-client-tests-failures.patch.

 -- Michael Biebl <biebl@debian.org>  Mon, 05 Nov 2018 16:05:51 +0100

=== debian/control ===
--- 
+++ 
@@ -40,7 +40,7 @@
                valac (>= 0.17.1.24),
                dbus <!nocheck>,
                python-dbus <!nocheck>
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/utopia-team/network-manager.git
 Vcs-Browser: https://salsa.debian.org/utopia-team/network-manager
@@ -54,7 +54,7 @@
          libnm0 (= ${binary:Version}),
          lsb-base,
          wpasupplicant,
-         dbus,
+         dbus (>= 1.9.18),
          udev,
          adduser,
          libpam-systemd,

=== debian/rules ===
--- 
+++ 
@@ -28,6 +28,7 @@
 		--with-dnssec-trigger=/usr/lib/dnssec-trigger/dnssec-trigger-script \
 		--with-systemdsystemunitdir=/lib/systemd/system \
 		--with-udev-dir=/lib/udev \
+		--with-dbus-sys-dir=/usr/share/dbus-1/system.d \
 		--with-crypto=gnutls \
 		--with-session-tracking=systemd \
 		--with-suspend-resume=systemd \

## network-manager 1.14.6.15

=== meson_options.txt ===
# system paths
option('systemdsystemunitdir', type: 'string', value: '', description: 'Directory for systemd service files')
option('system_ca_path', type: 'string', value: '/etc/ssl/certs', description: 'path to system CA certificates')
option('udev_dir', type: 'string', value: '', description: 'Absolute path of the udev base directory. Set to \'no\' not to install the udev rule')
option('dbus_conf_dir', type: 'string', value: '', description: 'where D-Bus system.d directory is')
option('dbus_ifaces_dir', type: 'string', value: '', description: 'where D-Bus interfaces directory is')
option('dbus_sys_dir', type: 'string', value: '', description: 'where D-Bus system service directory is')
option('polkit_dir', type: 'string', value: '', description: 'where PolicyKit policy directory is')
option('kernel_firmware_dir', type: 'string', value: '/lib/firmware', description: 'where kernel firmware directory is (default is /lib/firmware)')
option('iptables', type: 'string', value: '', description: 'path to iptables')
option('dnsmasq', type: 'string', value: '', description: 'path to dnsmasq')
option('dnssec_trigger', type: 'string', value: '', description: 'path to unbound dnssec-trigger-script')

# platform
option('dist_version', type: 'string', value: '', description: 'Define the NM\'s distribution version string')
option('session_tracking_consolekit', type: 'boolean', value: true, description: 'Support consolekit session tracking')
option('session_tracking', type: 'combo', choices: ['systemd', 'elogind', 'no'], value: 'systemd', description: 'Compatibility option to choose one session tracking module')
option('suspend_resume', type: 'combo', choices: ['upower', 'systemd', 'elogind', 'consolekit', 'auto'], value: 'auto', description: 'Build NetworkManager with specific suspend/resume support')
option('polkit', type: 'combo', choices: ['yes', 'no', 'disabled'], value: 'yes', description: 'set default value for auth-polkit configuration option. This value can be overwritten by NM configuration. \'disabled\' compiles NM without any support')
option('modify_system', type: 'boolean', value: false, description: 'Allow users to modify system connections')
option('polkit_agent', type: 'boolean', value: false, description: 'enable polkit agent for clients')
option('selinux', type: 'boolean', value: true, description: 'Build with SELinux')
option('systemd_journal', type: 'boolean', value: true, description: 'Use systemd journal for logging')
option('config_logging_backend_default', type: 'combo', choices: ['default', 'syslog', 'journal'], value: 'default', description: 'Default value for logging.backend')
option('hostname_persist', type: 'combo', choices: ['default', 'suse', 'gentoo', 'slackware'], value: 'default', description: 'Hostname persist method')
option('libaudit', type: 'combo', choices: ['yes', 'yes-disabled-by-default', 'no'], value: 'yes', description: 'Build with audit daemon support. yes-disabled-by-default enables support, but disables it unless explicitly configured via NetworkManager.conf')

# features
option('wext', type: 'boolean', value: true, description: 'Enable or disable Linux Wireless Extensions')
option('wifi', type: 'boolean', value: true, description: 'enable Wi-Fi support')
option('iwd', type: 'boolean', value: false, description: 'enable iwd support (experimental)')
option('ppp', type: 'boolean', value: true, description: 'enable PPP/PPPoE support')
option('pppd', type: 'string', value: '', description: 'path to pppd binary')
option('pppd_plugin_dir', type: 'string', value: '', description: 'path to the pppd plugins directory')
option('modem_manager', type: 'boolean', value: true, description: 'Enable new ModemManager1 interface support')
option('ofono', type: 'boolean', value: false, description: 'Enable oFono support (experimental)')
option('concheck', type: 'boolean', value: true, description: 'enable connectivity checking support')
option('teamdctl', type: 'boolean', value: false, description: 'enable Teamd control support')
option('ovs', type: 'boolean', value: true, description: 'enable OpenVSwitch support')
option('libnm_glib', type: 'boolean', value: false, description: 'build legacy libraries')
option('nmcli', type: 'boolean', value: true, description: 'Build nmcli')
option('nmtui', type: 'boolean', value: true, description: 'Build nmtui')
option('bluez5_dun', type: 'boolean', value: false, description: 'enable Bluez5 DUN support')

# configuration plugins
option('config_plugins_default', type: 'string', value: '', description: 'Default configuration option for main.plugins setting, used as fallback if the configuration option is unset')
option('ibft',     type: 'boolean', value: false, description: 'enable ibft configuration plugin')
option('ifcfg_rh', type: 'boolean', value: false, description: 'enable ifcfg-rh configuration plugin (Fedora/RHEL)')
option('ifupdown', type: 'boolean', value: false, description: 'enable ifupdown configuration plugin (Debian/Ubuntu)')

# handlers for resolv.conf
option('resolvconf', type: 'string', value: '', description: 'Enable resolvconf support')
option('netconfig', type: 'string', value: '', description: 'Enable SUSE netconfig support')
option('config_dns_rc_manager_default', type: 'combo', choices: ['symlink', 'file', 'netconfig', 'resolvconf'], value: 'symlink', description: 'Configure default value for main.rc-manager setting')

# dhcp clients
option('dhclient', type: 'string', value: '', description: 'Enable dhclient support')
option('dhcpcanon', type: 'string', value: '', description: 'Enable dhcpcanon support (experimental)')
option('dhcpcd', type: 'string', value: '', description: 'Enable dhcpcd support')
option('config_dhcp_default', type: 'combo', choices: ['dhcpcanon', 'dhclient', 'dhcpcd', 'internal'], value: 'internal', description: 'Default configuration option for main.dhcp setting, used as fallback if the configuration option is unset')

# miscellaneous
option('introspection', type: 'boolean', value: true, description: 'Enable introspection for this build')
option('vapi', type : 'combo', choices : ['auto', 'true', 'false'], description: 'build Vala bindings')
option('docs', type: 'boolean', value: false, description: 'use to build documentation')
option('tests', type: 'combo', choices: ['yes', 'no', 'root'], value: 'yes', description: 'Build NetworkManager tests')
option('more_asserts', type: 'string', value: 'all', description: 'Enable more assertions for debugging (0 = none, 100 = all, default: all)')
option('more_logging', type: 'boolean', value: true, description: 'Enable more debug logging')
option('valgrind', type: 'array', value: ['no'], description: 'Use valgrind to memory-check the tests')
option('valgrind_suppressions', type: 'string', value: '', description: 'Use specific valgrind suppression file')
option('ld_gc', type: 'boolean', value: true, description: 'Enable garbage collection of unused symbols on linking')
option('libpsl', type: 'boolean', value: true, description: 'Link against libpsl')
option('json_validation', type: 'boolean', value: true, description: 'Enable JSON validation in libnm')
option('crypto', type: 'combo', choices: ['nss', 'gnutls'], value: 'nss', description: 'Cryptography library to use for certificate and key operations')
option('qt', type: 'boolean', value: true, description: 'enable Qt examples')

=== debian/changelog ===
network-manager (1.14.6.15-1+dde) unstable; urgency=medium
  * ask for new key when wpa3-personal password failed.
  * 
 -- chenyunxiong <chenyunxiong@uniontech.com>  Wed, 16 Dec 2021 10:29:08 +0800

network-manager (1.14.6.14-1+dde) unstable; urgency=medium
  * dont verify in nmcli command.
  * 
 -- chenyunxiong <chenyunxiong@uniontech.com>  Wed, 16 Dec 2021 10:29:08 +0800

network-manager (1.14.6.13-1+dde) unstable; urgency=medium
  * update save state to uos.
  * 
 -- chenyunxiong <chenyunxiong@uniontech.com>  Wed, 15 Dec 2021 10:29:08 +0800

network-manager (1.14.6.12-1+dde) unstable; urgency=medium

  * add interfaceflags to uos.
  * 

 -- chenyunxiong <chenyunxiong@uniontech.com>  Wed, 8 Dec 2021 10:29:08 +0800

network-manager (1.14.6.11-1+dde) unstable; urgency=medium

  * add wifi6 to uos.
  * 

 -- chenyunxiong <chenyunxiong@uniontech.com>  Tue, 7 Dec 2021 10:29:08 +0800

network-manager (1.14.6.10-2+dde) unstable; urgency=medium

  * merge master to uos.
  * 

 -- xinpeng.wang <wangxinpeng@uniontech.com>  Fri, 26 Nov 2021 10:29:08 +0800

network-manager (1.14.6.9-2+dde) unstable; urgency=medium

  * add add-support-sae.patch.
  * 

 -- xinpeng.wang <wangxinpeng@uniontech.com>  Thu, 25 Nov 2021 21:28:21 +0800

network-manager (1.14.6.8-2+dde) unstable; urgency=medium

  * add fix-time-exceed-uintmax.patch.
  * 

 -- xinpeng.wang <wangxinpeng@uniontech.com>  Mon, 15 Nov 2021 10:32:42 +0800

network-manager (1.14.6.7-2+dde) unstable; urgency=medium

  * safe compile for PIE check.
  * 

 -- xinpeng.wang <wangxinpeng@uniontech.com>  Thu, 04 Nov 2021 19:58:02 +0800

network-manager (1.14.6.6-3) unstable; urgency=medium

  * add sw64 porting

 -- Deepin <zhangfeilong@uniontech.com>  Thu, 14 Apr 2021 22:30:07 +0800

network-manager (1.14.6.5-3) unstable; urgency=medium

  * fix(wifi): fix SpecificObject not updated after WiFi roaming.

 -- Deepin <lichenggang@uniontech.com>  Sat, 20 Mar 2021 17:15:07 +0800

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,13 @@
 
 include /usr/share/dpkg/architecture.mk
 
+export DEB_LDFLAGS_MAINT_APPEND = -pie -fPIE
+export DEB_CFLAGS_MAINT_APPEND = -fPIC
+export DEB_CXXFLAGS_MAINT_APPEND = -fPIC
+
 PPPD_PLUGIN_DIR := $(shell dh_ppp --plugin-dir)
+
+CFLAGS += -fPIE -pie
 
 %:
 	dh $@ --with gir,ppp
@@ -66,11 +72,17 @@
 override_dh_makeshlibs:
 	dh_makeshlibs -X/usr/lib/$(DEB_HOST_MULTIARCH)/NetworkManager/ -X/usr/lib/pppd/
 
-override_dh_systemd_start:
-	dh_link -pnetwork-manager \
-		lib/systemd/system/NetworkManager.service \
-		lib/systemd/system/network-manager.service
-	dh_systemd_start -pnetwork-manager --no-also NetworkManager.service
+override_dh_installsystemd:
+	dh_installsystemd -pnetwork-manager --no-start NetworkManager-dispatcher.service NetworkManager-wait-online.service
+	dh_installsystemd -pnetwork-manager --no-also NetworkManager.service
 
 override_dh_ppp:
 	dh_ppp --breaks
+
+override_dh_dwz:
+
+
+override_dh_auto_test:
+
+
+

## network-manager 1.14.6.21

=== debian/changelog ===
network-manager (1.14.6.21-1+dde) unstable; urgency=medium

  * fix can't deal with the wrong password when sae use external auth.
  * 

 -- liaoyuan <liaoyuan@uniontech.com>  Thu, 14 Jul 2022 15:29:28 +0800

network-manager (1.14.6.20-1+dde) unstable; urgency=medium

  * add fix ap sae patch.
  * 

 -- xinpeng.wang <wangxinpeng@uniontech.com>  Thu, 23 Jun 2022 19:49:46 +0800

network-manager (1.14.6.19-1+dde) unstable; urgency=medium

  * fix wpa3 sae auth-alg error.

 -- liaohanqin <liaohanqin@uniontech.com>  Fri, 27 May 2022 13:33:50 +0800

network-manager (1.14.6.18-1+dde) unstable; urgency=medium

  * add security compile options.

 -- lichangze <lichangze@uniontech.com>  Sun, 03 Apr 2022 21:30:10 +0800

network-manager (1.14.6.17-1+dde) unstable; urgency=medium

  * fix NetworkManger-wait-online failed when password wrong.
  * 

 -- xinpeng wang <wangxinpeng@uniontech.com>  Mon, 07 Mar 2022 14:26:04 +0800

network-manager (1.14.6.16-1+dde) unstable; urgency=medium

  * fix NetworkManger-wait-online failed when dhcp timeout.
  * 
 -- xinpeng wang <wangxinpeng@uniontech.com>  Tue, 22 Feb 2022 16:50:16 +0800

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 include /usr/share/dpkg/architecture.mk
 
-export DEB_LDFLAGS_MAINT_APPEND = -pie -fPIE
+export DEB_LDFLAGS_MAINT_APPEND = -z relro -z now -z noexecstack -pie -fPIE
 export DEB_CFLAGS_MAINT_APPEND = -fPIC
 export DEB_CXXFLAGS_MAINT_APPEND = -fPIC

## network-manager 1.16.0

=== debian/changelog ===
network-manager (1.16.0-0ubuntu2.1) disco; urgency=medium

  * d/t/killswitches-no-urfkill, d/t/urfkill-integration,
    d/t/wpa-dhclient, d/t/nm.py, d/t/control:
    - skip tests on s390 due to missing wireless kernel support
      (LP: #1855009)

 -- Dan Streetman <ddstreet@canonical.com>  Wed, 04 Dec 2019 12:17:37 -0500

network-manager (1.16.0-0ubuntu2) disco; urgency=medium

  * debian/patches/git_ifupdown_iterator.patch:
    - ifupdown: fix connection iterator, should fix a segfault in the
      corresponding plugin (lp: #1815742)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 02 Apr 2019 17:53:26 +0200

network-manager (1.16.0-0ubuntu1) disco; urgency=medium

  * New upstream version

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 19 Mar 2019 16:23:09 +0100

network-manager (1.15.91-0Ubuntu1) disco; urgency=medium

  * New upstream version
  * remove patches included in the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 12 Mar 2019 15:23:26 +0100

network-manager (1.15.2-0ubuntu2) disco; urgency=medium

  * debian/patches/git_ifupdown_segfault.patch:
    - 'settings/ifupdown: fix ifupdown plugin after merging eni_ifaces and 
       connections hashes' (lp: #1815742)

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 18 Feb 2019 17:06:17 +0100

network-manager (1.15.2-0ubuntu1) disco; urgency=medium

  * Update to the current serie, resynchronize with Debian
  * debian/libnm0.symbols:
    - updated for the new version
  * debian/patches
    - removed the changes that are included in the new version
  * debian/patches/git_team_structure.patch:
    - backport upstream change 'fix team link-watcher struct layout',
      the tests/build failed on i386
  * debian/rules:
    - strip '-Wl,-Bsymbolic-functions' from LDFLAGS otherwise the
      tests fails on 'cannot register existing type 'NMAgentManagerError''

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 25 Jan 2019 11:31:56 +0100

network-manager (1.12.6-0ubuntu4) disco; urgency=medium

  * No-change rebuild for readline soname change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 14 Jan 2019 20:02:35 +0000

network-manager (1.12.6-0ubuntu3) disco; urgency=medium

  * debian/tests/nm.py: Make assert_iface_down() not check the interface's
    state. We call nmclient.deactivate_connection() to terminate connections
    that the testsuite sets up, and according to upstream this is not
    guaranteed to do anything in particular to the link state. It seems that
    dnsmasq 2.80 somehow alters the previous assumption that it would be
    'state DOWN', so the implementation detail we were checking previously no
    longer holds. The testsuite does still check that the IPs are removed from
    the interface, which is logically what we want anyway. (LP: #1805857)
  * debian/control: Fix Vcs-Git

 -- Iain Lane <iain.lane@canonical.com>  Wed, 19 Dec 2018 13:12:58 +0000

network-manager (1.12.6-0ubuntu2) disco; urgency=medium

  [ Robie Basak ]
  * debian/tests:
    - Make dep8 nm test directly invokable

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 10 Dec 2018 22:03:01 +0100

network-manager (1.12.6-0ubuntu1) disco; urgency=medium

  * New upstream version
    - Fix a vulnerability in the internal DHCPv6 client (CVE-2018-15688).
  * debian/patches/git_mac_change.patch:
    - backported a regression fix from upstream git

  [ Alfonso Sanchez-Beato ]
  * Import some WoWLAN patches from the newer stable serie (LP: #1781597)

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 10 Dec 2018 18:50:07 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,18 @@
 Source: network-manager
 Section: net
 Priority: optional
-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
 Uploaders: Michael Biebl <biebl@debian.org>,
  Sjoerd Simons <sjoerd@debian.org>,
  Aron Xu <aron@debian.org>
-Build-Depends: debhelper (>= 10.3),
+Build-Depends: debhelper (>= 11.4~),
                automake (>= 1.12),
                dpkg-dev (>= 1.17.14),
                pkg-config,
                intltool,
+               libdbus-glib-1-dev (>= 0.100),
+               libdbus-1-dev (>= 1.1),
                libglib2.0-dev (>= 2.32),
                ppp-dev (>= 2.4.7-1+1),
                libpolkit-gobject-1-dev,
@@ -40,10 +43,12 @@
                valac (>= 0.17.1.24),
                dbus <!nocheck>,
                python-dbus <!nocheck>
-Standards-Version: 4.3.0
+Standards-Version: 4.2.1
 Rules-Requires-Root: no
-Vcs-Git: https://salsa.debian.org/utopia-team/network-manager.git
-Vcs-Browser: https://salsa.debian.org/utopia-team/network-manager
+XS-Debian-Vcs-Git: https://salsa.debian.org/utopia-team/network-manager.git
+XS-Debian-Vcs-Browser: https://salsa.debian.org/utopia-team/network-manager
+Vcs-Git: https://git.launchpad.net/network-manager -b disco
+Vcs-Browser: https://git.launchpad.net/network-manager?h=disco
 Homepage: https://wiki.gnome.org/Projects/NetworkManager
 
 Package: network-manager
@@ -54,18 +59,19 @@
          libnm0 (= ${binary:Version}),
          lsb-base,
          wpasupplicant,
-         dbus (>= 1.9.18),
+         dbus,
          udev,
          adduser,
+         isc-dhcp-client,
          libpam-systemd,
          policykit-1
 Recommends: ppp,
             dnsmasq-base,
             iptables,
             modemmanager,
+            network-manager-pptp,
             crda,
-            isc-dhcp-client,
-Suggests: libteam-utils
+Suggests: avahi-autoipd, libteam-utils
 Breaks: ${misc:Breaks}
 Description: network management framework (daemon and userspace tools)
  NetworkManager is a system network service that manages your network devices
@@ -78,10 +84,11 @@
  interact with NetworkManager.
  .
  Optional dependencies:
+  * avahi-autoipd: Used for IPv4LL, a protocol for automatic Link-Local IP
+    address configuration.
   * ppp: Required for establishing dial-up connections (e.g. via GSM).
   * dnsmasq-base/iptables: Required for creating Ad-hoc connections and
     connection sharing.
-    address configuration.
   * libteam-utils: Network Team driver allows multiple network interfaces to be
     teamed together and act like a single one. This process is called "ethernet
     bonding", "channel teaming" or "link aggregation".
@@ -91,14 +98,120 @@
 Architecture: linux-any
 Multi-Arch: same
 Depends: ${misc:Depends}
-Conflicts: libnm-glib-dev,
-           libnm-glib-vpn-dev,
-           libnm-util-dev,
 Description: network management framework (development files)
  This package provides documentation of the NetworkManager D-Bus API, the
  configuration formats and command line utilities.
  It also provides D-Bus introspection files.
 
+Package: libnm-glib4
+Section: libs
+Architecture: linux-any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
+Description: network management framework (GLib shared library)
+ NetworkManager is a system network service that manages your network devices
+ and connections, attempting to keep active network connectivity when
+ available. It manages ethernet, WiFi, mobile broadband (WWAN), and PPPoE
+ devices, and provides VPN integration with a variety of different VPN
+ services.
+ .
+ This package provides the shared library that applications can use to query
+ connection status via NetworkManager.
+
+Package: libnm-glib-dev
+Section: libdevel
+Architecture: linux-any
+Multi-Arch: same
+Depends: ${misc:Depends},
+         libnm-glib4 (= ${binary:Version}),
+         gir1.2-networkmanager-1.0 (= ${binary:Version}),
+         libnm-util-dev (>= ${binary:Version}),
+         network-manager-dev (>= ${binary:Version}),
+         libglib2.0-dev,
+         libdbus-glib-1-dev
+Description: network management framework (GLib interface)
+ NetworkManager is a system network service that manages your network devices
+ and connections, attempting to keep active network connectivity when
+ available. It manages ethernet, WiFi, mobile broadband (WWAN), and PPPoE
+ devices, and provides VPN integration with a variety of different VPN
+ services.
+ .
+ This package contains header and development files and the API documentation
+ for libnm-glib.
+
+Package: libnm-glib-vpn1
+Section: libs
+Architecture: linux-any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
+Description: network management framework (GLib VPN shared library)
+ NetworkManager is a system network service that manages your network devices
+ and connections, attempting to keep active network connectivity when
+ available. It manages ethernet, WiFi, mobile broadband (WWAN), and PPPoE
+ devices, and provides VPN integration with a variety of different VPN
+ services.
+ .
+ This package provides the shared library that applications can use for
+ creating VPN connections via NetworkManager.
+
+Package: libnm-glib-vpn-dev
+Section: libdevel
+Architecture: linux-any
+Multi-Arch: same
+Depends: ${misc:Depends},
+         libnm-glib-vpn1 (= ${binary:Version}),
+         libnm-glib-dev (>= ${binary:Version}),
+         network-manager-dev (>= ${binary:Version}),
+Description: network management framework (GLib interface)
+ NetworkManager is a system network service that manages your network devices
+ and connections, attempting to keep active network connectivity when
+ available. It manages ethernet, WiFi, mobile broadband (WWAN), and PPPoE
+ devices, and provides VPN integration with a variety of different VPN
+ services.
+ .
+ This package contains header and development files for libnm-glib-vpn.
+
+Package: libnm-util2
+Section: libs
+Architecture: linux-any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
+Description: network management framework (shared library)
+ NetworkManager is a system network service that manages your network devices
+ and connections, attempting to keep active network connectivity when
+ available. It manages ethernet, WiFi, mobile broadband (WWAN), and PPPoE
+ devices, and provides VPN integration with a variety of different VPN
+ services.
+ .
+ This package contains a convenience library to ease the access to
+ NetworkManager.
+
+Package: libnm-util-dev
+Section: libdevel
+Architecture: linux-any
+Multi-Arch: same
+Depends: ${misc:Depends},
+         libnm-util2 (= ${binary:Version}),
+         gir1.2-networkmanager-1.0 (= ${binary:Version}),
+         network-manager-dev (>= ${binary:Version}),
+         libglib2.0-dev,
+         libdbus-glib-1-dev
+Description: network management framework (development files)
+ NetworkManager is a system network service that manages your network devices
+ and connections, attempting to keep active network connectivity when
+ available. It manages ethernet, WiFi, mobile broadband (WWAN), and PPPoE
+ devices, and provides VPN integration with a variety of different VPN
+ services.
+ .
+ This package contains header and development files and the API documentation
+ for libnm-util.
+
 Package: libnm0
 Section: libs
 Architecture: linux-any
@@ -133,6 +246,26 @@
  .
  This package contains header and development files.
 
+Package: gir1.2-networkmanager-1.0
+Section: introspection
+Architecture: linux-any
+Multi-Arch: same
+Depends: ${gir:Depends},
+         ${shlibs:Depends},
+         ${misc:Depends}
+Description: GObject introspection data for the libnm-glib/libnm-util library
+ NetworkManager is a system network service that manages your network devices
+ and connections, attempting to keep active network connectivity when
+ available. It manages ethernet, WiFi, mobile broadband (WWAN), and PPPoE
+ devices, and provides VPN integration with a variety of different VPN
+ services.
+ .
+ This package contains introspection data for NetworkManager using
+ libnm-glib/libnm-util.
+ .
+ It can be used by packages using the GIRepository format to generate
+ dynamic bindings.
+
 Package: gir1.2-nm-1.0
 Section: introspection
 Architecture: linux-any
@@ -171,3 +304,10 @@
  No user data is transmitted in the connectivity checks, but merely contacting
  the Debian connectivity check servers reveals that the user is running a
  Debian(-based) operating system with NetworkManager.
+
+Package: network-manager-config-connectivity-ubuntu
+Architecture: all
+Multi-Arch: foreign
+Depends: ${misc:Depends},
+         network-manager (>= ${source:Version})
+Description: NetworkManager configuration to enable connectivity checking

=== debian/rules ===
--- 
+++ 
@@ -2,13 +2,11 @@
 
 include /usr/share/dpkg/architecture.mk
 
-export DEB_LDFLAGS_MAINT_APPEND = -z relro -z now -z noexecstack -pie -fPIE
-export DEB_CFLAGS_MAINT_APPEND = -fPIC
-export DEB_CXXFLAGS_MAINT_APPEND = -fPIC
+# Without that the tests fail, cannot register existing type 'NMAgentManagerError'
+LDFLAGS=$(shell echo $$LDFLAGS | sed -e 's/-Wl,-Bsymbolic-functions//')
+export LDFLAGS
 
 PPPD_PLUGIN_DIR := $(shell dh_ppp --plugin-dir)
-
-CFLAGS += -fPIE -pie
 
 %:
 	dh $@ --with gir,ppp
@@ -27,7 +25,7 @@
 		--runstatedir=/run \
 		--with-pppd-plugin-dir=$(PPPD_PLUGIN_DIR) \
 		--with-pppd=/usr/sbin/pppd \
-		--with-resolvconf=/sbin/resolvconf \
+		--with-resolvconf=no \
 		--with-dhclient=/sbin/dhclient \
 		--with-iptables=/sbin/iptables \
 		--with-dnsmasq=/usr/sbin/dnsmasq \
@@ -42,10 +40,11 @@
 		--with-nmtui \
 		--with-nmcli \
 		--with-selinux \
+		--with-tests \
 		--with-libaudit \
 		--with-iwd \
+		--with-libnm-glib \
 		--without-dhcpcanon \
-		--without-libnm-glib \
 		--enable-polkit \
 		--enable-polkit-agent \
 		--enable-ppp \
@@ -64,10 +63,18 @@
 
 override_dh_install:
 	find debian/tmp -name '*.la' -print -delete
+	rm -vf $(CURDIR)/debian/tmp/etc/init.d/NetworkManager
 	dh_install
 
 override_dh_missing:
 	dh_missing --fail-missing
+
+	# copy powersave configuration
+	mkdir -p debian/network-manager/etc/NetworkManager/conf.d
+	cp debian/default-wifi-powersave-on.conf debian/network-manager/etc/NetworkManager/conf.d/
+
+override_dh_installinit:
+	dh_installinit --noscripts
 
 override_dh_makeshlibs:
 	dh_makeshlibs -X/usr/lib/$(DEB_HOST_MULTIARCH)/NetworkManager/ -X/usr/lib/pppd/
@@ -79,10 +86,7 @@
 override_dh_ppp:
 	dh_ppp --breaks
 
-override_dh_dwz:
-
-
 override_dh_auto_test:
-
-
-
+ifeq (, $(filter nocheck, $(DEB_BUILD_OPTIONS)))
+	make check || ( find . -name test-suite.log -exec cat {} \;; exit 1; )
+endif

=== debian/tests/control ===
Tests: wpa-dhclient
Depends: python3, hostapd, dnsmasq-base, wpasupplicant, isc-dhcp-client, iw
Restrictions: needs-root allow-stderr isolation-machine skippable

Tests: nm.py
Depends: python3, dnsmasq-base, isc-dhcp-client, gir1.2-networkmanager-1.0, network-manager, hostapd, iw, python3-dbusmock
Restrictions: needs-root isolation-machine skippable

Tests: killswitches-no-urfkill
Depends: network-manager, build-essential, linux-headers-generic, rfkill
Restrictions: needs-root allow-stderr isolation-machine skippable

Tests: urfkill-integration
Depends: network-manager, build-essential, linux-headers-generic, rfkill, urfkill
Restrictions: needs-root allow-stderr isolation-machine skippable
